'Writing PICAXE BASIC Code
'PICAXE Tutorial
'Experiment: Pushbutton Switch to LEDs
'4 Sep 2015
'Schematic: PA-08M2 Coding Test Circuit.dch
'Code: Pushbutton Switch to LEDs 2.bas
'Overview: Turn a green or yellow LED on alternately whenever
	'a pushbutton switch is pushed.
#picaxe 08m2 'Identify the PICAXE being used as an 08M2.
#no_data 'Prevent data from being downloaded to PICAXE.
	symbol g_led = C.2 'Assign g_led to represent pinC.2.
	symbol y_led = C.1 'Assign y_led to represent pinC.1.
	symbol r_led = C.0 'Assign r_led to represent pinC.0.
	symbol p_button = pinC.3 'Assign p_button to represent pinC.3.
	main: 'Start 'main' program.
		if p_button = 0 then 'If p_button is low, proceed.
			bit16 = bit16 + 1 'Toggle bit16 to indicate button press.
			pause 100 'Pause to allow switch contacts to settle.
		endif 'End the if execution.
		if bit16 = 1 then 'If bit16 is 1, then
			gosub green 'go to 'green' subroutine.
		else 'If bit16 is not 1
			gosub yellow 'go to 'yellow' subroutine.
		endif 'End the if execution.
	goto main 'Go to 'main' program.
	green: 'Begin the 'green' subroutine.
		high g_led 'Turn the green LED on.
		low y_led 'Turn the yellow LED off.
		pause 100 'Pause to allow user time to release button.
		return 'Return to line following gosub green command.
	yellow: 'Begin the 'yellow' subroutine.
		high y_led 'Turn the yellow LED on.
		low g_led 'Turn the green LED off.
		pause 100 'Pause to allow user time to release button.
		return 'Return to line following gosub yellow command.